Subject: Re: linux-next: build warnings after merge of the origin tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 30 Jul 2024 15:22:46 +1000

Hi Linus,

On Tue, 30 Jul 2024 08:22:04 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the origin tree, today's linux-next build (powerpc
> ppc64_defconfig) produced these warnings:
> 
> In file included from include/asm-generic/percpu.h:7,
>                  from arch/powerpc/include/asm/percpu.h:28,
>                  from include/linux/irqflags.h:19,
>                  from include/linux/spinlock.h:59,
>                  from include/linux/mmzone.h:8,
>                  from include/linux/gfp.h:7,
>                  from include/linux/mm.h:7,
>                  from include/linux/memblock.h:12,
>                  from kernel/profile.c:20:
> kernel/profile.c:52:28: warning: 'cpu_profile_flip' defined but not used [-Wunused-variable]
>    52 | static DEFINE_PER_CPU(int, cpu_profile_flip);
>       |                            ^~~~~~~~~~~~~~~~
> include/linux/percpu-defs.h:104:44: note: in definition of macro 'DEFINE_PER_CPU_SECTION'
>   104 |         __PCPU_ATTRS(sec) __typeof__(type) name
>       |                                            ^~~~
> kernel/profile.c:52:8: note: in expansion of macro 'DEFINE_PER_CPU'
>    52 | static DEFINE_PER_CPU(int, cpu_profile_flip);
>       |        ^~~~~~~~~~~~~~
> kernel/profile.c:51:48: warning: 'cpu_profile_hits' defined but not used [-Wunused-variable]
>    51 | static DEFINE_PER_CPU(struct profile_hit *[2], cpu_profile_hits);
>       |                                                ^~~~~~~~~~~~~~~~
> include/linux/percpu-defs.h:104:44: note: in definition of macro 'DEFINE_PER_CPU_SECTION'
>   104 |         __PCPU_ATTRS(sec) __typeof__(type) name
>       |                                            ^~~~
> kernel/profile.c:51:8: note: in expansion of macro 'DEFINE_PER_CPU'
>    51 | static DEFINE_PER_CPU(struct profile_hit *[2], cpu_profile_hits);
>       |        ^~~~~~~~~~~~~~
> 
> Introduced by commit
> 
>   2accfdb7eff6 ("profiling: attempt to remove per-cpu profile flip buffer")

I also did not understand why my arm and x86_64 builds did not get
these warnings, but my i386 defconig build (that I only do at the end
of my merging) actually failed, so I remerged your tree with the fix in
it.

-- 
Cheers,
Stephen Rothwell